> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a partner-scoped wallet with KYC information



## OpenAPI

````yaml /openapi/partner.openapi.json post /partner/wallet
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
  - name: Partner Wallet
paths:
  /partner/wallet:
    post:
      tags:
        - Partner Wallet
      summary: Create a partner-scoped wallet with KYC information
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePartnerWalletDto'
      responses:
        '200':
          description: Partner wallet created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerWallet'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    CreatePartnerWalletDto:
      type: object
      required:
        - kyc
      properties:
        currency:
          $ref: '#/components/schemas/WalletCurrency'
        profileId:
          type: integer
          minimum: 1
        kyc:
          $ref: '#/components/schemas/CreatePartnerWalletKycDto'
    PartnerWallet:
      type: object
      required:
        - ID
        - Reference
        - CreatedAt
        - UpdatedAt
        - Wallet
      properties:
        ID:
          type: integer
        Reference:
          type: string
        RevokedAt:
          type: string
          format: date-time
          nullable: true
        CreatedAt:
          type: string
          format: date-time
        UpdatedAt:
          type: string
          format: date-time
        PayTag:
          $ref: '#/components/schemas/PartnerWalletPayTag'
        Wallet:
          $ref: '#/components/schemas/PartnerWalletLedger'
        KycProfile:
          $ref: '#/components/schemas/PartnerWalletKycProfile'
    WalletCurrency:
      type: string
      enum:
        - NGN
        - FP
    CreatePartnerWalletKycDto:
      type: object
      required:
        - firstName
        - lastName
        - otherName
      properties:
        firstName:
          type: string
        lastName:
          type: string
        otherName:
          type: string
    PartnerWalletPayTag:
      type: object
      properties:
        ID:
          type: integer
        Tag:
          type: string
    PartnerWalletLedger:
      type: object
      required:
        - ID
        - Currency
      properties:
        ID:
          type: integer
        Currency:
          $ref: '#/components/schemas/WalletCurrency'
    PartnerWalletKycProfile:
      type: object
      properties:
        ID:
          type: integer
        Name:
          type: string
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````